Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(355)

Issue 550383002: Cleanup ChannelFactory interface (Closed)

Created:
6 years ago by Sergey Ulanov
Modified:
6 years ago
Reviewers:
Wez
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Cleanup ChannelFactory interface Removed CreateDatagramChannel() (it was never used) and renamed CreateStreamChannel() to CreateChannel() BUG=402993 Committed: https://crrev.com/a29e1639cc388bcb603b025abe28f43cc33bfd09 Cr-Commit-Position: refs/heads/master@{#293863}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+45 lines, -117 lines) Patch
M remoting/protocol/channel_dispatcher_base.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/channel_factory.h View 2 chunks +7 lines, -12 lines 0 comments Download
M remoting/protocol/channel_multiplexer.h View 1 chunk +2 lines, -6 lines 0 comments Download
M remoting/protocol/channel_multiplexer.cc View 4 chunks +5 lines, -13 lines 0 comments Download
M remoting/protocol/channel_multiplexer_unittest.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M remoting/protocol/fake_session.h View 1 chunk +4 lines, -12 lines 0 comments Download
M remoting/protocol/fake_session.cc View 1 chunk +7 lines, -34 lines 0 comments Download
M remoting/protocol/jingle_session.h View 1 chunk +2 lines, -6 lines 0 comments Download
M remoting/protocol/jingle_session.cc View 2 chunks +2 lines, -18 lines 0 comments Download
M remoting/protocol/jingle_session_unittest.cc View 5 chunks +9 lines, -9 lines 0 comments Download
M remoting/protocol/protobuf_video_reader.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/protobuf_video_writer.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 9 (2 generated)
Sergey Ulanov
6 years ago (2014-09-08 20:28:36 UTC) #2
Wez
Won't we want to be able to create datagram channels once we switch to SCTP ...
6 years ago (2014-09-08 20:42:46 UTC) #3
Sergey Ulanov
On 2014/09/08 20:42:46, Wez wrote: > Won't we want to be able to create datagram ...
6 years ago (2014-09-08 22:45:29 UTC) #4
Wez
lgtm
6 years ago (2014-09-08 22:49:09 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sergeyu@chromium.org/550383002/1
6 years ago (2014-09-08 22:52:57 UTC) #7
commit-bot: I haz the power
Committed patchset #1 (id:1) as 9613084312966285b795a42a4ba82d299c673ba4
6 years ago (2014-09-09 06:12:28 UTC) #8
commit-bot: I haz the power
6 years ago (2014-09-10 03:50:51 UTC) #9
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/a29e1639cc388bcb603b025abe28f43cc33bfd09
Cr-Commit-Position: refs/heads/master@{#293863}

Powered by Google App Engine
This is Rietveld 408576698